# Resign game

execute if score #game_end chess.value matches 0 if entity @a[predicate=chess:resign,scores={chess.use_item=1..}] run function chess:phase/2/state/resign







# Push cursor ID

execute unless score #cursor_player chess.id matches 0 if score #turn chess.value matches 1 run scoreboard players operation #cursor_player chess.id = #white_player chess.id
execute unless score #cursor_player chess.id matches 0 if score #turn chess.value matches 2 run scoreboard players operation #cursor_player chess.id = #black_player chess.id







# Decrement timer

execute if score #timer chess.value matches 1.. run scoreboard players remove #timer chess.value 1







# Pawn promotion

execute if score #game_end chess.value matches 0 if score #pawn_promotion chess.value matches 1 if score #timer chess.value matches 110 run function chess:phase/2/pawn_promotion/show_options
execute if score #game_end chess.value matches 0 if score #pawn_promotion chess.value matches 1 if score #timer chess.value matches 000 run function chess:phase/2/pawn_promotion/present_options
execute if score #game_end chess.value matches 0 if score #pawn_promotion chess.value matches 2 if score #timer chess.value matches 050 run function chess:phase/2/pawn_promotion/promotion







# Start turn

execute if score #game_end chess.value matches 0 if score #pawn_promotion chess.value matches 0 if score #timer chess.value matches 0 if score #cursor_player chess.id matches 0 if score #turn chess.value matches 1 run function chess:phase/2/turn_start/white
execute if score #game_end chess.value matches 0 if score #pawn_promotion chess.value matches 0 if score #timer chess.value matches 0 if score #cursor_player chess.id matches 0 if score #turn chess.value matches 2 run function chess:phase/2/turn_start/black







# What have you done?

execute if score #game_end chess.value matches 0 unless entity @e[type=block_display,tag=chess_piece,tag=!king] run function chess:phase/3/start







# End game

execute if score #game_end chess.value matches 1 if score #timer chess.value matches 0 run function chess:phase/1/start